//
//  SCAdSlot.h
//  SCTVOSSDK
//
//  Copyright © 2019 smartclip. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreGraphics/CoreGraphics.h>

NS_ASSUME_NONNULL_BEGIN
@class SCAdVariants;

/**
 * SCAdSlot: use this class in combination with the SCAdSequencer to define
 *           your adSlots
 */
@interface SCAdSlot : NSObject

/// Array of at tags for this slot (at least one)
@property (nonatomic, copy)     NSString        *adTag;
/// Relative time when to start this slot (between 0 and 1)
@property (nonatomic)           CGFloat         relativeSlotTime;
/// Variants for this adSlot (opener, closer, bumper)
@property (nonatomic, copy)     SCAdVariants    *variants;
/// Specify your skipOffset (in seconds) for this slot -1 means no skipOffet
@property (nonatomic)           NSInteger       skipOffset;

/// Default initializer
- (instancetype)initWithAdTag:(nonnull NSString*)adTag
              relativeSlotTime:(CGFloat)relativeTime
                      variants:(nullable SCAdVariants*)variants
                    skipOffset:(NSInteger)skipOffset;
@end

NS_ASSUME_NONNULL_END
